<?php
require_once "../../functions.php";
if (comprobar_override(str_replace($_SERVER['DOCUMENT_ROOT'], '', __FILE__)))
    exit;
$pag = basename($_SERVER['PHP_SELF']);
comprobar_postget('post', ['id'], $pag, false, '');
gen_plantilla(true, $pag, false, false, '', false, false);

//Comprobar si es admin
if (!isset($_SESSION['tipo_usuario']) || $_SESSION['tipo_usuario'] != 'admin') {
    crear_notificacion("error", "No tienes acceso a esta página");
    exit;
}

$id = filter_input(INPUT_POST, "id", FILTER_SANITIZE_NUMBER_INT);
$datos = consulta(
    "SELECT nombre FROM motivos WHERE id=?;",
    [$id],
    true
)[0];
?>
<dialog id='dialog' class="cristal" open>
    <h2>¿Estás seguro que deseas eliminar el motivo <b><?= $datos['nombre'] ?></b>?</h2>
    <section class='flex row gap5 pa1'>
        <button id='cancelar' class="btn-t" title='Cancelar la eliminación'>Cancelar</button>
        <button id='eliminar' class="btn-d" value="<?= $id ?>" onclick="eliminar_motivo(<?= $id ?>)">Eliminar</button>
    </section>
</dialog>